Skip to main content
GET
Get agent

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, UUID, or domain that identifies the project.

agent_id
string
required

Agent identifier

Query Parameters

runtime_target_kind
enum<string> | null
Available options:
main_branch,
environment,
preview_branch,
null
target_environment_id
string<uuid> | null
target_branch_id
string<uuid> | null
source_target_kind
enum<string>
Available options:
project,
main_branch,
environment,
preview_branch

Response

Agent card

id
string
required
name
string
required
description
string | null
required
provider
object
required
version
string
required
capabilities
object
required
default_input_modes
string[]
required
default_output_modes
string[]
required
tools
string[]
required
skills
object[]
required
kind
enum<string>
required
Available options:
source_project_agent,
installed_project_agent
can_run
boolean
required
source_type
enum<string>
required
Available options:
project,
catalog_install
source_path
string
required
edit_mode
enum<string>
required
Available options:
structured,
source_only
x-veryfront-model
string | null
required

Same value as model. Read model.

x-veryfront-url
string
required

Same value as url. Read url.

model
string | null
required

Model the agent runs on. Null when the agent sets none.

url
string
required

URL of the agent.

suggestions
(string | object)[]
Minimum string length: 1
installed_access
object
runtime_readiness
object
avatar_url
string<uri> | null

Absolute URL for this agent avatar. Null when no custom avatar has been set.